Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5SetDMPlexStorageVersionWriting

Set the storage version for writing

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerHDF5SetDMPlexStorageVersionWriting(PetscViewer viewer, DMPlexStorageVersion version)

Logically collective

## Input Parameters

- viewer - The `PetscViewer`

- version - The storage format version

## Note

The version has major, minor, and subminor integers. Parallel operations are only available for version 3.0.0.

## See Also

DM Basics, `DM`, `PetscViewerHDF5GetDMPlexStorageVersionWriting()`, `PetscViewerHDF5GetDMPlexStorageVersionReading()`, `PetscViewerHDF5SetDMPlexStorageVersionReading()`

## Level

advanced

## Location

src/dm/impls/plex/hdf5/plexhdf5.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages